#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZV1
Summary:	Compress::LZV1 Perl module - extremely leight-weight Lev-Zimpel-Vogt compression
Summary(pl.UTF-8):	Moduł Perla Compress::LZV1 - ekstremalnie lekka kompresja Lev-Zimpel-Vogt
Name:		perl-Compress-LZV1
Version:	0.04
Release:	15
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1e6ee23a325a5f1475052576280d7250
URL:		http://search.cpan.org/dist/Compress-LZV1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZV1 is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The module is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this module into commercial programs. It
is believed that it is free from any patents.

%description -l pl.UTF-8
LZV1 jest ekstremalnie szybkim (nie tak dużo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programów, które chcą
zaoszczędzić *trochę* miejsca, ale nie kosztem szybkości. Jest idealny
dla powtarzających się danych. Moduł jest mały i nie wymaga żadnej
dodatkowej dużej biblioteki. Jest wolnodostępny, więc nie powinno być
problemów z wykorzystaniem go w komercyjnych programach. Według
aktualnego stanu wiedzy jest wolny od patentów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/LZV1.pm
%dir %{perl_vendorarch}/auto/Compress/LZV1
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZV1/*.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Compress-LZV1.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> caeccbe
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3a8373c
- release 14 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> aefee8d
- x32 rebuild
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ef75e1d
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dee6aa1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1ca574b
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 50318c7
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 4e9a5e0
- rel 9

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 65ab132
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 98b9737
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 43d7b97
- release 6

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 4d040dc
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 1fe6965
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 63a53f4
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 9049d7a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 86537a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 475a315
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> db62251
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> df3dfff
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> a99be58
- rel. 3

